Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
PUTSSO OperationsSince 3.5.1SynchronousAuth Required

LoginIAM2VirtualIDWithLdap

LoginIAM2VirtualIDWithLdap

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • loginiam2virtualidwithldapObjectRequired

    loginiam2virtualidwithldap request body object.

    • uidStringRequired

      The login attribute value of the AD/LDAP user.

    • passwordStringRequired

      The login password of the AD/LDAP user.

    • verifyCodeString

      Optional. The login verification code.

    • captchaUuidString

      Optional. The UUID of the login authentication code.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySessionInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • accountUuidStringRequired

      The account UUID.

    • userUuidStringRequired

      The user UUID.

    • expiredDateTimestampRequired

      已过期时间。

    • createDateTimestampRequired

      The creation date.

Endpoint

PUT/zstack/v1/iam2/login/virtual-ids/ldap

/zstack/v1/iam2/login/virtual-ids/ldap

Operation ID

LoginIAM2VirtualIDWithLdap

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/iam2/login/virtual-ids/ldap' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"loginiam2virtualidwithldap":{"uid":"<uid>","password":"<password>","verifyCode":"<verifyCode>","captchaUuid":"<captchaUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "4abb254913c23d488c161bcd3524f176", "accountUuid": "ac1453a45c6830c6ad6d488326a4c0ec", "expiredDate": "Nov 14, 2017 10:20:57 PM", "noSessionEvaluation": false } }

Change History

This API has no change history records yet.

View all change history